\version "2.0.0"
\include "paper16.ly"

\include "header.ly"
\include "violin1pt.ly"
\include "violin2pt.ly"
\include "violin3pt.ly"
\include "viola1pt.ly"
\include "viola2pt.ly"
\include "viola3pt.ly"
\include "cello1pt.ly"
\include "cello2pt.ly"
\include "cello3pt.ly"
\include "continuopt.ly"

\include "globaltext.ly"

violiniStaff =  \context Staff = violinoi <<
 \property Staff.midiInstrument = #"violin"
 \property Staff.instrument = #"Violino I"
 \property Staff.instr = #"Vln I"
 \context Voice=violinoi
 \violini
 \text
>>

violiniiStaff =  \context Staff = violinoii <<
 \property Staff.midiInstrument = #"violin"
 \property Staff.instrument = #"Violino II"
 \property Staff.instr = #"Vln II"
 \context Voice=violinoii
 \violinii
>>

violiniiiStaff =  \context Staff = violinoiii <<
 \property Staff.midiInstrument = #"violin"
 \property Staff.instrument = #"Violino III"
 \property Staff.instr = #"Vln III"
 \context Voice=violinoiii
 \violiniii
>>

violinGroup =  \context StaffGroup = violingroup <<
 \violiniStaff
 \violiniiStaff
 \violiniiiStaff
>>

violaiStaff =  \context Staff = violai <<
 \property Staff.midiInstrument = #"viola"
 \property Staff.instrument = #"Viola I"
 \property Staff.instr = #"Vla I"
 \context Voice=violai
 \violai
>>

violaiiStaff =  \context Staff = violaii <<
 \property Staff.midiInstrument = #"viola"
 \property Staff.instrument = #"Viola II"
 \property Staff.instr = #"Vla II"
 \context Voice=violaii
 \violaii
>>

violaiiiStaff =  \context Staff = violaiii <<
 \property Staff.midiInstrument = #"viola"
 \property Staff.instrument = #"Viola III"
 \property Staff.instr = #"Vla III"
 \context Voice=violaiii
 \violaiii
>>

violaGroup =  \context StaffGroup = violagroup <<
 \violaiStaff
 \violaiiStaff
 \violaiiiStaff
>>

celloiStaff =  \context Staff = celloi <<
 \property Staff.midiInstrument = #"cello"
 \property Staff.instrument = #"Violoncello I"
 \property Staff.instr = #"Vcl I"
 \context Voice=celloi
 \celloi
>>

celloiiStaff =  \context Staff = celloii <<
 \property Staff.midiInstrument = #"cello"
 \property Staff.instrument = #"Violoncello II"
 \property Staff.instr = #"Vcl II"
 \context Voice=celloii
 \celloii
>>

celloiiiStaff =  \context Staff = celloiii <<
 \property Staff.midiInstrument = #"cello"
 \property Staff.instrument = #"Violoncello III"
 \property Staff.instr = #"Vcl III"
 \context Voice=celloiii
 \celloiii
>>

celloGroup =  \context StaffGroup = cellogroup <<
 \celloiStaff
 \celloiiStaff
 \celloiiiStaff
>>

continuoStaff =  \context Staff = continuo <<
 \property Staff.midiInstrument = #"harpsichord"
 \property Staff.instrument = \markup { \column < "Violone e" "Cembalo" > }
 \property Staff.instr = #"Con"
 \context Voice=continuo
 \continuo
>>

continuoGroup =  \context StaffGroup = continuogroup <<
 \continuoStaff
>>

\score {
 <<
  \violinGroup
  \violaGroup
  \celloGroup
  \continuoGroup
 >>
 
 \paper { linewidth = 18 \cm }
 
 \include "midi.ly"
}
